DAHDI_MONITOR(8)

NAME
dahdi_monitor - checks the Rx/Tx levels of a DAHDI channels

SYNOPSIS
dahdi_monitor num [-v[v]] dahdi_monitor num [-o] [<-f|-F> FILE] dahdi_monitor num [[<-r|-R> FILE]] [[<-t|-T> FILE]]

DESCRIPTION
dahdi_monitor monitors a Dahdi channel. It can record the output to a file, play it to the speaker, or visualize the audio levels on the terminal. Recorded audio files are by default raw signed linear PCM. If the file name ends with ".wav", the recorded file will be a WAV file. The visual display shows the current audio level at both the Rx (audio Received by Asterisk) and Tx (audio Transmitted by Asterisk) To exit the program, press Ctrl-C.

OPTIONS
The first (mandatory) parameter is the number of the channel to monitor. -m
    Multiple channels. Don't multiplex both Rx and Tx in a single channel. Normally there's a different option that you need that implies it.
-o
    Plays the output to OSS (/dev/dsp). Requires -m not to be used.
-v
    Display Visual audio levels. With two v-s, Verbose mode is enabled, that shows the actual levels as numbers. Note that this requires a terminal wider than 80 columns to be properly displayed. Implies -m.
-f FILE
    Record the content of the channel (Tx + Rx) to a file.
-F FILE
    Record the content of the channel (Tx + Rx) before the echo canceler to a file.
-r FILE
    Record the content of the Rx channel to a file. Implies -m.
-R FILE
    Record the content of the R channel before the echo canceler to a file. Implies -m.
-s FILE
    Record the content of the Tx and Rx of the channel to a file.
-S FILE
    Records a stereo of both Tx and Rx of the channel before the echo canceler to a file.
-t FILE
    Record the content of the Tx channel to a file. Implies -m.
-T FILE
    Record the content of the Tx channel before the echo canceler to a file. Implies -m.

EXAMPLES
Visualize audio levels on DAHDI channel 2:
  dahdi_monitor 2 -v Record channel 3 to a file:
  dahdi_monitor 3 -f output.raw This will create a raw PCM file (signed-linear, 8kHz, mono, 16 bits per sample). Both the Tx and Rx will be multiplexed in a single channel. It can be converted to a WAV file using e.g.:
  sox -s -c1 -2 -r8000 output.raw output.wav Record Tx and Rx of channel 5 to separate files. This time directly to WAV files:
  dahdi_monitor 5 -r output_rx.wav -t output_tx.wav Record channel 8 to a stereo file (Tx and Rx on its two channels):
  dahdi_monitor 8 -s output.raw Converting it to a WAV file:
  sox -s -c2 -2 -r8000 output.raw output.wav

SEE ALSO

dahdi_tool(8), dahdi_cfg(8).

AUTHOR

This manual page was written by Santiago Ruano Rincón <santiago@unicauca.edu.co> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.